Loading...
Searching...
No Matches
AvahiBrowser::Entry Struct Reference

`#include <avahi_discover.h>`

## Public Member Functions

| Entry ()
| Entry (AvahiIfIndex interface_, AvahiProtocol protocol_, const char *name_, const char *type_, const char *domain_, AvahiLookupResultFlags flags_)
bool | operator== (const Entry &e) const

## Public Attributes

AvahiIfIndex | interface
AvahiProtocol | protocol
Glib::ustring | name
std::string | type
std::string | domain
AvahiLookupResultFlags | flags

## Detailed Description

Definition at line 33 of file avahi_discover.h.

## Constructor & Destructor Documentation

## Entry() [1/2]

AvahiBrowser::Entry::Entry | ( |  | ) |

inline

Definition at line 40 of file avahi_discover.h.

Referenced by operator==().

## Entry() [2/2]

AvahiBrowser::Entry::Entry | ( | AvahiIfIndex | interface_,
|  | AvahiProtocol | protocol_,
|  | const char * | name_,
|  | const char * | type_,
|  | const char * | domain_,
|  | AvahiLookupResultFlags | flags_ )

inline

Definition at line 41 of file avahi_discover.h.

## Member Function Documentation

## operator==()

bool AvahiBrowser::Entry::operator== | ( | const Entry & | e | ) | const

inline

Definition at line 45 of file avahi_discover.h.

## Member Data Documentation

## domain

std::string AvahiBrowser::Entry::domain

Definition at line 38 of file avahi_discover.h.

Referenced by Entry(), and operator==().

## flags

AvahiLookupResultFlags AvahiBrowser::Entry::flags

Definition at line 39 of file avahi_discover.h.

Referenced by Entry().

## interface

AvahiIfIndex AvahiBrowser::Entry::interface

Definition at line 34 of file avahi_discover.h.

Referenced by Entry().

## name

Glib::ustring AvahiBrowser::Entry::name

Definition at line 36 of file avahi_discover.h.

Referenced by Entry(), and operator==().

## protocol

AvahiProtocol AvahiBrowser::Entry::protocol

Definition at line 35 of file avahi_discover.h.

Referenced by Entry(), and operator==().

## type

std::string AvahiBrowser::Entry::type

Definition at line 37 of file avahi_discover.h.

Referenced by Entry(), and operator==().

The documentation for this struct was generated from the following file:

- src/headers/avahi_discover.h